﻿
namespace DisqusSharp
{
    public class DisqusWebException : DisqusException
    {
        public DisqusWebException(string message, string code)
            : base(message)
        {
            Code = code;
        }

        public DisqusWebException(DisqusResponse disqusResponse)
            : this(disqusResponse.Message.ToString(), disqusResponse.Code)
        {
            if (disqusResponse.Succeeded)
                throw new DisqusException("DisqusResponse is not a DisqusWebException");

        }

        public string Code { get; private set; }
    }
}
