namespace DisqusSharp
{
    public class DisqusKeyErrorException : DisqusWebException
    {
        public DisqusKeyErrorException(string message)
            : base(message, "key-error")
        {

        }

        public DisqusKeyErrorException(DisqusResponse disqusResponse)
            : base(disqusResponse)
        {
            if (disqusResponse.Code != "key-error")
                throw new DisqusException("DisqusResponse is not a DisqusKeyErrorException");
        }
    }
}